﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using App3;
using Syncfusion.UI.Xaml.Grid;

namespace App1
{
    public class GridCellRedEvo : StyleSelector
    {
        protected override Style SelectStyleCore(object item, DependencyObject container)
        {
            var gridCell = container as GridCell;
            if (gridCell == null)
                return base.SelectStyle(item, container);

            var dataColumnBase = gridCell.ColumnBase;

            if (gridCell.Style != null)
            {
                var setter = (gridCell.Style.Setters.FirstOrDefault(o => (o as Setter).Value.Equals("testName")) as Setter);
                var styleName = setter != null ? setter.Value : string.Empty;

                if (!string.IsNullOrEmpty(styleName.ToString()))
                {
                    //Do something
                }
                else
                {
                    //Or something else
                }

            }

            return base.SelectStyleCore(item, container);
        }
    }
}
